Skip to main content

Authorization Reversal


Use this information to reverse an unnecessary authorization.

Endpoints

POST /pts/v2/payments/{id}/reversals

POST /pts/v2/payments/{id}/reversals

The {id} is the transaction ID returned in the authorization response.

Example

{    "clientReferenceInformation": {        "comments": "REVERSAL Timeout",        "transactionId": "11987654321",        "partner": {            "thirdPartyCertificationNumber": "123456789012"        }    },    "reversalInformation": {        "amountDetails": {            "totalAmount": "300.00",            "currency": "EUR"        }    }}
{    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/reversals/6484678664766823004004"        }    },    "clientReferenceInformation": {        "code": "123456",        "transactionId": "11987654321"    },    "id": "6484678664766823004004",    "orderInformation": {        "amountDetails": {            "currency": "EUR"        }    },    "processorInformation": {        "responseDetails": "ABC",        "responseCode": "00"    },    "reconciliationId": "6484678664766823004004",    "reversalAmountDetails": {        "reversedAmount": "300.00",        "currency": "EUR"    },    "status": "REVERSED",    "submitTimeUtc": "2022-03-28T11:44:26Z"}
{  "clientReferenceInformation": {    "code": "FE978755"  },  "reversalInformation": {    "amountDetails": {      "totalAmount": "999.87"    },    "reason": "Authreversal"  }}
{    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/reversals/7167830399586147504953"        }    },    "clientReferenceInformation": {        "code": "FE978755"    },    "id": "7167830399586147504953",    "orderInformation": {        "amountDetails": {            "currency": "THB"        }    },    "processorInformation": {        "responseCode": "000"    },    "reversalAmountDetails": {        "reversedAmount": "999.87",        "currency": "THB"    },    "status": "REVERSED",    "submitTimeUtc": "2024-05-27T04:10:40Z"}

Required Fields

Visa Platform Connect Required Fields
FieldTypeDescription
clientReferenceInformation.comments
clientReferenceInformation.partner.thirdPartyCertificationNumber
clientReferenceInformation.transactionId
reversalInformation.amountDetails.currency
reversalInformation.amountDetails.totalAmount
China UnionPay Required Fields
FieldTypeDescription
clientReferenceInformation.code
reversalInformation.amountDetails.totalAmount
reversalInformation.reasonSet this field to Authreversal.

Last published: September 29, 2026